Skip to main content

sslCertificateLinkableDomains

FQDN assets a certificate is not linked to yet, paginated

sslCertificateLinkableDomains(
companyId: ID!
certificateAssetId: ID!
search: String
page: Int
limit: Int
): AssetCollection!

Arguments​

sslCertificateLinkableDomains.companyId ● ID! non-null scalar​

sslCertificateLinkableDomains.certificateAssetId ● ID! non-null scalar​

Exact FQDN asset ID or part of its name

sslCertificateLinkableDomains.page ● Int scalar​

sslCertificateLinkableDomains.limit ● Int scalar​

Type​

AssetCollection object​

AssetCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetSslCertificateLinkableDomains($companyId: ID!, $certificateAssetId: ID!) {\n sslCertificateLinkableDomains(companyId: $companyId, certificateAssetId: $certificateAssetId) { collection { id name activeDevelopers { __typename } } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>","certificateAssetId":"<certificate_asset_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute